Set attribute values
POST
/merchants/{merchantCode}/attributes/{attributeCode}/values
const url = 'https://catalog.shopgate.io/v1/merchants/example/attributes/example/values';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"values":[{"code":"black","sequenceId":1,"name":{"en-us":"string in english","de-de":"Zeichenkette auf Deutsch"},"swatch":{"type":"image","value":"https://some.url"}}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/attributes/example/values \ --header 'Content-Type: application/json' \ --data '{ "values": [ { "code": "black", "sequenceId": 1, "name": { "en-us": "string in english", "de-de": "Zeichenkette auf Deutsch" }, "swatch": { "type": "image", "value": "https://some.url" } } ] }'Set values on an attribute.
Localizations
The following properties are localized:
- name
see Entity Localization for further information.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
attributeCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
values
required
Array<object>
object
code
required
Unique identifier for the attribute value
string
Example
blacksequenceId
required
Sequence id of the order of the values. The lowest number is at the top and the highest number is at the bottom.
number
Example
1name
required
Localization object, see Entity Localization for further information.
object
key
additional properties
string
Example
{ "en-us": "string in english", "de-de": "Zeichenkette auf Deutsch"}swatch
object
type
string
value
string
Example
https://some.url || #123456Example
{ "type": "image", "value": "https://some.url"}Responses
Section titled “Responses”Successfully created
Media typeapplication/json
Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant or attribute not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}Conflict error
Media typeapplication/json
object
statusCode
number
code
Machine readable error code
string
message
required
Human readable error code
string
additionalInfo
Additional machine readable information about failing entities
object
Examplegenerated
{ "statusCode": 1, "code": "example", "message": "example", "additionalInfo": {}}
